#### D.15.26.2 SNF

Procedure from library `stdmodule.lib` (see stdmodule_lib).

Usage:
  SNF(f,G,A); f vector, G free module over A, A subalgebra (which is a finite Sagbi bases).

Return:
  a vector g: normal form of a vector g wrt G over subalgebra A.

Example:

    LIB "stdmodule.lib";
    ring r=0,(x,y,z),dp;
    ideal A=x2-y,xz+z,y2-z;
    module G=[x3z+x2z-xyz-yz,y2+xz],[y4-2y2z+z2,xy2z+y2z-xz2-z2],[x2y2-y3-x2z+yz,x4-2x2y+y2];
    vector v=[x2y4-y5-2x2y2z+2y3z+x2z2-yz2-xz-z, x4y2-2x2y3-x4z+y4+2x2yz-y2z+2];
    vector u=[x2y4-y5-2x2y2z+2x3z+2y3z+x2z2+2x2z-2xyz-yz2-xz-2yz-z, x4y2-2x2y3-x4z+y4+2x2yz-y2z+3y2-3z+7];
    SNF(v,G,A);
    ==> -xz*gen(1)-z*gen(1)+2*gen(2)
    SNF(u,G,A);
    ==> y2*gen(2)-2xz*gen(2)-xz*gen(1)-3z*gen(2)-z*gen(1)+7*gen(2)

User manual for Singular version 4.4.1, 2025, generated by texi2html.